(function() {
	// Load plugin specific language pack
	//tinymce.PluginManager.requireLangPack('example');

	tinymce.create('tinymce.plugins.SmiliesThemerToolbar', {
		init : function(ed, url) {
			// Register the command so that it can be invoked by using tinyMCE.activeEditor.execCommand('mceExample');
			ed.addCommand('showSmiliesDialog', function() {
				ed.windowManager.open({
					file : stt_blog_path + '?stt_load=1',
					width : 320,
					height : 220,
					inline : 1
				}, {
					plugin_url : url
				});
			});

			// Register example button
			ed.addButton('smiliesthemertoolbar', {
				title : 'Smilies',
				cmd : 'showSmiliesDialog',
				image : url + '/smile.png'
			});

			// Add a node change handler, selects the button in the UI when a image is selected
			ed.onNodeChange.add(function(ed, cm, n) {
				cm.setActive('smiliesthemertoolbar', n.nodeName == 'IMG');
			});
		},

		/**
		 * Returns information about the plugin as a name/value array.
		 * The current keys are longname, author, authorurl, infourl and version.
		 *
		 * @return {Object} Name/value array containing information about the plugin.
		 */
		getInfo : function() {
			return {
				longname : 'Smilies Themer Toolbar',
				author : 'Frasten',
				authorurl : 'http://polpoinodroidi.com',
				infourl : 'http://polpoinodroidi.com/wordpress-plugins/smilies-themer-toolbar/',
				version : "1.2.1"
			};
		}
	});
	// Register plugin
	tinymce.PluginManager.add('smiliesthemertoolbar', tinymce.plugins.SmiliesThemerToolbar);
})();
